Package com.xebialabs.xlrelease.domain

## Class JdbcExportHook

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.xlrelease.domain.BaseConfiguration
    - - com.xebialabs.xlrelease.domain.Configuration
      - - com.xebialabs.xlrelease.domain.ExportHook
        - - com.xebialabs.xlrelease.domain.JdbcExportHook

- All Implemented Interfaces:
    `ConfigurationItem`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`

      public class JdbcExportHook
      extends ExportHook

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `JdbcExportHook.JdbcExportHookException` |

  - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JdbcExportHook()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.sql.Connection` | `getJdbcConnection()` | Constructs and returns a connection object which can be used for accessing the database defined within current JDBC export hook.
    `java.lang.String` | `password()` |
    `void` | `password_$eq​(java.lang.String x$1)` |
    `java.lang.String` | `url()` |
    `void` | `url_$eq​(java.lang.String x$1)` |
    `java.lang.String` | `username()` |
    `void` | `username_$eq​(java.lang.String x$1)` |

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.ExportHook

      `isEnabled, setEnabled`

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.Configuration

      `getTitle, getVariableMapping, hasVariableMapping, setTitle, setVariableMapping`

    - ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

      `getFolderId, hasId, setFolderId`

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JdbcExportHook

          public JdbcExportHook()

  - ### Method Detail

    - #### url

          public java.lang.String url()

    - #### url_$eq

          public void url_$eq​(java.lang.String x$1)

    - #### username

          public java.lang.String username()

    - #### username_$eq

          public void username_$eq​(java.lang.String x$1)

    - #### password

          public java.lang.String password()

    - #### password_$eq

          public void password_$eq​(java.lang.String x$1)

    - #### getJdbcConnection

          public java.sql.Connection getJdbcConnection()

      Constructs and returns a connection object which can be used for accessing the database defined within current JDBC export hook. This method neither opens nor closes the connection.
      Returns:
        (undocumented)